# $Revision: 1.14 $, $Date: 2002/07/23 19:46:25 $
%include /usr/lib/rpm/macros.python

%define short_name xmlrpc
%define ver 0.9.9
%define snap 010226

Summary:	XML-RPC for python
Summary(pl):	XML-RPC dla jzyka python
Name:		python-%{short_name}
Version:	%{ver}_%{snap}
Release:	6
License:	distributable
Group:		Libraries/Python
Source0:	http://www.pythonware.com/downloads/%{short_name}-%{ver}-%{snap}.zip
URL:		http://www.pythonware.com/products/xmlrpc/
BuildRequires:	python >= 2.2.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Secret Labs' xmlrpclib module is an implementation of the XML-RPC
[(off-site link)] protocol. This implementation is tightly integrated
with Python, which makes it very easy to call remote methods.

%description -l pl
Modu xmlrpclib jest implementacj protokou XML-RPC. Implementacja ta
jest cile zwizana z jzykiem python, wic bardzo uatwia
wywoywanie zdalnych metod.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{py_sitedir}
install *.py $RPM_BUILD_ROOT/%{py_sitedir}

%py_comp $RPM_BUILD_ROOT/%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT/%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README

%{py_sitedir}/*.py?

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-xmlrpc.spec,v $
Revision 1.14  2002/07/23 19:46:25  marcus
- use new %%doc
- rel.6.

Revision 1.13  2002/04/13 17:16:10  kloczek
- rebuild against python 2.2.1.

Revision 1.12  2002/04/11 13:52:48  wrobell
- rel. 5, stb

Revision 1.11  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.10  2002/03/18 07:26:54  wrobell
- group changed to Libraries/Python
- license changed to distributable
- rel. 4
- stb

Revision 1.9  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.7  2002/02/04 03:26:05  kloczek
- release 3: rebuild against python 2.2 and adapterize spec file.

Revision 1.6  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/24 02:10:06  kloczek
- reelase 2.

Revision 1.4  2001/11/12 09:43:43  qboosh
- BuildRequires: rpm-pythonprov

Revision 1.3  2001/11/12 00:13:36  wrobell
- fixed file list
- fixed requirements
- use standard python macros

Revision 1.2  2001/10/21 08:40:07  kloczek
- cosmetics.

Revision 1.1  2001/10/19 16:14:47  jajcus
- new spec
